Ubuntu

resume from suspend doesn't work (powers off instead) for Acer Aspire 3810T

Reported by Matthew Lai on 2009-07-27
378
This bug affects 69 people
Affects Status Importance Assigned to Milestone
Linux
Fix Released
Medium
Arch Linux
Fix Released
Undecided
Unassigned
linux (Debian)
Fix Released
Unknown
linux (Ubuntu)
Undecided
Unassigned
Declined for Karmic by Tim Gardner
Quantal
Undecided
Unassigned
Raring
Undecided
Unassigned

Bug Description

Resume from suspend (to RAM) doesn't work (powers off instead on resume, didn't touch the power button) for Acer Aspire 3810T.

WORKAROUND: Add the i8042.reset=1 kernel parameter in GRUB. To do this, change the GRUB_CMDLINE_LINUX_DEFAULT line in /etc/default/grub to look like
GRUB_CMDLINE_LINUX_DEFAULT="quiet splash i8042.reset=1"
and execute "sudo update-grub"

Seems to be working for Acer Aspire 3810T.

Core 2 Solo (or Duo, both have this problem) ULV, Mobile Intel® GS45 Express Chipset, Intel Wifi 5100.

I have tried 9.04, 9.10 alpha 2 and 3, kernels 2.6.28 to 2.6.31, all 32-bit. BIOSes 1.04 and 1.08 (latest). Nothing works.

There is a single isolated report of suspend working with 64-bit 2.6.30.
https://help.ubuntu.com/community/AspireTimeline/Fixes

Suspend seems to work perfectly, but when a key is pressed to start resuming, the machine seems to start back up, but automatically powers off afer a few seconds (screen didn't come back up).

Using the "resume-trace" procedure described here does not yield any matches. Unloading all non-essential modules in single user mode doesn't fix it (used /etc/acpi/sleep.sh to initiate suspend).

Suspend is initiated through gnome-power-manager, but I don't think that's the problem.

Architecture: i386
DistroRelease: Ubuntu 9.10
HibernationDevice: RESUME=UUID=6f9ae10f-02b2-4a96-a7d7-700e22184757
MachineType: Acer Acer Project
Package: linux (not installed)
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.31-3-generic root=UUID=b6d9abe7-e298-4e5e-984c-336ff8330d98 ro quiet splash
ProcEnviron:
 SHELL=/bin/bash
 LANG=en_US.UTF-8
ProcVersionSignature: Ubuntu 2.6.31-3.19-generic
RelatedPackageVersions: linux-backports-modules-2.6.31-3-generic N/A
Uname: Linux 2.6.31-3-generic i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
dmi.bios.date: 05/27/2009
dmi.bios.vendor: Acer
dmi.bios.version: V1.04
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: Acer Project
dmi.board.vendor: Acer
dmi.board.version: PSMBOU-1234567
dmi.chassis.asset.tag: None
dmi.chassis.type: 10
dmi.chassis.vendor: Acer
dmi.chassis.version: None
dmi.modalias: dmi:bvnAcer:bvrV1.04:bd05/27/2009:svnAcer:pnAcerProject:pvrV1.04:rvnAcer:rnAcerProject:rvrPSMBOU-1234567:cvnAcer:ct10:cvrNone:
dmi.product.name: Acer Project
dmi.product.version: V1.04
dmi.sys.vendor: Acer

Thank you for taking the time to report this bug and helping to make Ubuntu better. Unfortunately we can't fix it without more information.

Please include the following additional information, if you have not already done so (pay attention to lspci's additional options), as required by the Ubuntu Kernel Team:
1. Please include the output of the command "uname -a" in your next response. It should be one, long line of text which includes the exact kernel version you're running, as well as the CPU architecture.
2. Please run the command "dmesg > dmesg.log" after a fresh boot and attach the resulting file "dmesg.log" to this bug report.
3. Please run the command "sudo lspci -vvnn > lspci-vvnn.log" and attach the resulting file "lspci-vvnn.log" to this bug report.

For your reference, the full description of procedures for kernel-related bug reports is available at https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies Thanks in advance!

Changed in linux (Ubuntu):
status: New → Incomplete

Architecture: i386
DistroRelease: Ubuntu 9.10
HibernationDevice: RESUME=UUID=6f9ae10f-02b2-4a96-a7d7-700e22184757
MachineType: Acer Acer Project
Package: linux (not installed)
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.31-3-generic root=UUID=b6d9abe7-e298-4e5e-984c-336ff8330d98 ro quiet splash
ProcEnviron:
 SHELL=/bin/bash
 LANG=en_US.UTF-8
ProcVersionSignature: Ubuntu 2.6.31-3.19-generic
RelatedPackageVersions: linux-backports-modules-2.6.31-3-generic N/A
Uname: Linux 2.6.31-3-generic i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
dmi.bios.date: 05/27/2009
dmi.bios.vendor: Acer
dmi.bios.version: V1.04
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: Acer Project
dmi.board.vendor: Acer
dmi.board.version: PSMBOU-1234567
dmi.chassis.asset.tag: None
dmi.chassis.type: 10
dmi.chassis.vendor: Acer
dmi.chassis.version: None
dmi.modalias: dmi:bvnAcer:bvrV1.04:bd05/27/2009:svnAcer:pnAcerProject:pvrV1.04:rvnAcer:rnAcerProject:rvrPSMBOU-1234567:cvnAcer:ct10:cvrNone:
dmi.product.name: Acer Project
dmi.product.version: V1.04
dmi.sys.vendor: Acer

Matthew Lai (cyberfish) wrote :
Matthew Lai (cyberfish) wrote :
Matthew Lai (cyberfish) wrote :
Matthew Lai (cyberfish) wrote :
Matthew Lai (cyberfish) wrote :
Matthew Lai (cyberfish) wrote :
Matthew Lai (cyberfish) wrote :
Matthew Lai (cyberfish) wrote :
Matthew Lai (cyberfish) wrote :
Changed in linux (Ubuntu):
status: Incomplete → New
tags: added: apport-collected
Matthew Lai (cyberfish) wrote :

>> Using the "resume-trace" procedure described here does not yield any matches. Unloading all non-essential modules in single user mode doesn't fix it (used /etc/acpi/sleep.sh to initiate suspend).

Sorry, I forgot to include the URL.
https://wiki.ubuntu.com/DebuggingKernelSuspend

Louis-Dominique Dubeau (ldd) wrote :

I have the same hardware and the same problem.

* I tried booting with init=/bin/bash and was able to unload *all* modules from memory. It did not help.

* I tried:

$ echo core > /sys/power/pm_test
$ echo mem > /sys/power/state

And it went through. I think this suggests a problem with the BIOS itself.

* I tried the above with 2.6.30-02063004 from the kernel PPA. It did not work.

* I tried the above with 2.6.31-020631rc5 from the kernel PPA. It did not work.

All kernels I used are 64bit.

My BIOS version is 1.08.

It looks like there's enough to confirm this

Changed in linux (Ubuntu):
status: New → Confirmed
Matthew Lai (cyberfish) wrote :

I have done something similar -
http://ubuntuforums.org/showpost.php?p=7702831&postcount=172

with the same result (didn't go through).

Also tried BIOS version 1.10 (released July 27). Didn't help.

Louis-Dominique Dubeau (ldd) wrote :

I also tried booting with:

acpi_osi= [Yes, it ends at the equal sign.]
acpi_osi="Linux"
acpi_osi="!Linux" [I think this is the default but for the sake of completeness.]

None of it worked.

I disassembled the dsdt and found pearls like these:

                    Method (_BQC, 0, NotSerialized)
                    {
                        If (IGDS)
                        {
                            Return (BRTL)
                        }
                        Else
                        {
                            If (LAnd (LEqual (SPSG, One), LEqual (DPMD, One))) {}
                            Else
                            {
                            }
                        }
                    }

Matthew Lai (cyberfish) wrote :

Have you also tried whatever Windows uses? I thought Linux used to always send the same OSI as Windows, for compatibility reasons (some manufacturers "pessimized" for Linux?). I'm far from sure, though, just recalled reading something like that somewhere a long time ago.

(BTW, I am DSDT-illiterate)

Louis-Dominique Dubeau (ldd) wrote :

Yes, I've also tried acpi_osi="Windows 2006". I figured it would not hurt to try. It did not help. As far as I can tell from reading the DSDT, the DSDT cares only about 3 possibilities:

1. OSI is set to Linux
2. OSI is set to anything else than Linux.
3. OSI is not set.

I think all three possibilities have been covered.

I also tried acpi_serialize and libata.noacpi=1. Neither helped.

I've noticed upon resume the LED for the wireless flashes but the LED for the hard disk does not flash. In Windows, I've noticed the hard disk LED flashing before the wireless. I don't know whether it is an indication of anything.

I've fiddled with the DSDT but that did not help either.

The reason I called the snippet of DSDT a "pearl" is that the else branch of the "If (IGDS)" test is a noop. As coded, it is logically equivalent to this:

                    Method (_BQC, 0, NotSerialized)
                    {
                        If (IGDS)
                        {
                            Return (BRTL)
                        }
                    }

And either version generate a warning when compiled because if IGDS is false, then there is no return value. Basically this method is not coded according to spec. (Huge guess: IGDS is true if the laptop has integrated graphics and false if not. Since Acer has not yet released the models which have discrete graphics they have not yet coded the part of the DSDT which should execute if IGDS is false.)

I'm attaching the decompiled DSDT if someone wants to look at it. This is the one in BIOS 1.08.

Matthew Lai (cyberfish) wrote :

Thanks for the hard work!

1 user reported success with suspending with a 4810t and an updated BIOS. If the DSDT is the problem, would it help if we get his DSDT and diff it with ours?
http://ubuntuforums.org/showpost.php?p=7703101&postcount=173

I just dumped my DSDT from BIOS 1.10, and there's a 354 lines diff between that and your dump. I have attached my dump.

I tried compiling it and got loads of different warnings.

Louis-Dominique Dubeau (ldd) wrote :

Ok... latest test. I recompiled the kernel and made modular much of the ACPI functionality. Here's the relevant section of the config file:

CONFIG_ACPI=y
CONFIG_ACPI_AC=m
# CONFIG_ACPI_ASUS is not set
CONFIG_ACPI_BATTERY=m
CONFIG_ACPI_BLACKLIST_YEAR=0
CONFIG_ACPI_BUTTON=m
CONFIG_ACPI_CONTAINER=m
# CONFIG_ACPI_CUSTOM_DSDT is not set
CONFIG_ACPI_CUSTOM_DSDT_FILE=""
CONFIG_ACPI_CUSTOM_DSDT_INITRD=y
CONFIG_ACPI_DEBUG=y
CONFIG_ACPI_DEBUG_FUNC_TRACE=y
CONFIG_ACPI_DOCK=y
CONFIG_ACPI_FAN=m
CONFIG_ACPI_HOTPLUG_CPU=y
CONFIG_ACPI_PCI_SLOT=m
CONFIG_ACPI_PROCESSOR=m
CONFIG_ACPI_PROCFS=y
CONFIG_ACPI_PROCFS_POWER=y
CONFIG_ACPI_PROC_EVENT=y
CONFIG_ACPI_SBS=m
CONFIG_ACPI_SLEEP=y
CONFIG_ACPI_SYSFS_POWER=y
CONFIG_ACPI_SYSTEM=y
CONFIG_ACPI_THERMAL=m
CONFIG_ACPI_TOSHIBA=m
CONFIG_ACPI_VIDEO=m
CONFIG_ACPI_WMI=m

Then:

1. I blacklisted modules which are not unloadable if loaded at all (processor is not unloadable if loaded at boot, I had to blacklist thermal too because it depends on processor and will force a load even if processor is blacklisted).

2. And I booted with init=/bin/bash and unloaded as much as I could: in the end all the ACPI modules were unloaded.

So I was left with the acpi functionality which is included in the kernel but all acpi modules removed (no WMI, no fan, no thermal, no processor, etc.).

It still did not fix the problem.

As far as I can tell the machine behaved exactly in the same way as with the stock kernel. I was concerned about thermal in particular: I know that there have been bugs on other machines where the temperature sensors would send out bogus data under certain conditions and would cause Linux to forcibly power down of the machine. Well, there goes that hypothesis...

@Matthew: Thanks for the dump. I'll check into it when I decide that I should spend more time on the DSDT. I'm also DSDT-illiterate so *for now* I'm holding off on doing anything more with it. Whatever I'm able to understand about it is inferred from general computer engineering knowledge and from reading bits of the ACPI specs.

I think my next step will be to boot with ACPI debug turned on (as you can see above I compiled in the necessary functionality for that: now I just need to add the right boot parameters) and look for anything amiss.

Louis-Dominique Dubeau (ldd) wrote :

I've booted with debug turned on and did not see anything special. I've got a dump of dmesg with acpi.debug_layer=0xffff acpi.debug_level=0xfffff. I won't attach it unless someone specifically requests it. It is huge.

On the other hand, here is something which I had not paid attention to before (this appears in the dmesg even without acpi debugging turned on):

[ 31.206919] ata2.00: ACPI cmd 00/00:00:00:00:00:b0 rejected by device (Stat=0
x51 Err=0x04)
[ 31.207895] ata2.00: ACPI cmd ef/10:01:00:00:00:b0 rejected by device (Stat=0
x51 Err=0x04)
[ 31.208136] ata2.00: ACPI cmd ef/10:02:00:00:00:b0 rejected by device (Stat=0
x51 Err=0x04)
[ 31.208212] ata2.00: ACPI cmd ef/10:03:00:00:00:b0 filtered out
[ 31.208444] ata2.00: ACPI cmd ef/10:04:00:00:00:b0 rejected by device (Stat=0
x51 Err=0x04)
[ 31.208684] ata2.00: ACPI cmd ef/10:05:00:00:00:b0 rejected by device (Stat=0
x51 Err=0x04)

This is the kernel executing the drive's GTF. You can see the 4th command is filtered out by the kernel (i.e. it is not sent to the drive). I turned filtering off and found that the filtered command was the only command which the drive accepted. But even with filtering off, I was not able to resume.

I eventually removed the hard drive and booted from a USB stick but still was not able to resume.

I also tried acpi_power=s3_beep and did not hear any beep. (But I'm having a nagging doubt that there may not be a real *legacy* pc-speaker-style hardware on the laptop. I can't get the darn thing to beep when I'm booted in single user mode.)

marcw (marcw) wrote :

I was thinking of trying uswsusp to work around the suspend problem on my 3810t. But I don't want to reinvent the wheel. Has anyone else tried this utility? There seems to be a pretty good set of instructions here: http://en.opensuse.org/S2ram

Matthew Lai (cyberfish) wrote :

The problem seems to be at a lower level than that, but feel free to try.

Louis-Dominique Dubeau (ldd) wrote :

I downloaded s2ram, inspected its code and decided it would probably not be helpful to try.

I could be wrong about this.

By all means, do try it.

Other things I've tried since my last report:

1. I've compiled 2.6.30.4 from kernel.org. This was mainly an effort to try to see if Ubuntu-specific patches would have introduced a bug.

2. I've tried 2.6.31-999.200908060936 from here:

http://kernel.ubuntu.com/~kernel-ppa/mainline/daily/2009-08-06/

3. I've also messed with /proc/acpi/wakeup to enable everything in there.

4. I've used ethtool to enable wake-on-lan on eth0. (Just in case the kernel was expecting the network card in a certain state upon wake up. I've also tried waking with a WOL packet... just in case there'd be some success.)

Nothing helped.

Matthew Lai (cyberfish) wrote :

Same thing with alpha4/2.6.31-6 (rc6).

I noticed that the wifi light flashes briefly on resume if I had the wifi on before suspend.

Have you also tried removing the wifi card?

Louis-Dominique Dubeau (ldd) wrote :

Yeah, I also tried rc6.

I've not tried removing the wifi card.

One thing I did was to modify the kernel code to force a speaker beep upon resuming from sleep. This did not work. I noticed the code which is triggered by s3_beep is run AFTER the kernel first perform some consistency checks. So if the consistency checks fail, the kernel does not run the code to make the speaker beep. I added code to perform the beeps BEFORE these checks but I still heard no beep.

I see two possibilities: 1) there is just no functional legacy PC speaker hardware on the board or 2) the kernel never regains control after the hardware resumes operations.

xby (xby) wrote :

Hello,

I'm considering buying this laptop as well. So I would be interested to know if this can be solve or not.

What about putting information in syslog instead of beep ?

Matthew Lai (cyberfish) wrote :

1 user reported the same issue with a 3410T, with an Atheros wifi card, so the wireless card is probably not the culprit.

Darrell Kavanagh (darrell) wrote :

I've changed the title of the bug to include the Aspire 3410T machine as well. As this machine shares its BIOS code with the 3810T, it is very likely to be the exact same problem. I would like to add that I'm ready and waiting to perform any tests required by the developers in tracing and fixing this bug. It would be great to get a fix in place for the Karmic release.

Darrell

summary: resume from suspend doesn't work (powers off instead) for Acer Timeline
- 3810t
+ 3810t/3410t

See bug #423320 for the automatically-gathered crash report info, Aspire 3410T under Kernel 2.6.31-9, Karmic, Bios updated to version 1.10. By the way, the 3810T/3410T bios update from the Acer website sets the model name to "Acer Project" replacing the original "Aspire 3410T" or "Aspire 3810T".

Darrell Kavanagh (darrell) wrote :

A quick note to confirm that the bug is still present under Kernel 2.6.31-10

Matthew Lai (cyberfish) wrote :

I think we may have to wait for Acer to release a new BIOS. Afterall, on the 4810t, it was reportedly solved by a BIOS update.

Has anyone contacted Acer yet?

For now, I'm using hibernate, which works fine. I have the SSD version, so resume is very fast (~10 seconds), and I can throw it into my backpack once it starts hibernating (may not be a good idea to do that on a harddrive). Suspend would be more convenient, though, especially for the harddrive version.

Darrell Kavanagh (darrell) wrote :

I've submitted a problem report on the Acer UK website. I'm sure the official response will be that they do not support Linux (true of course), Suspend does work under Vista.

Matthew Lai (cyberfish) wrote :

That is true, but if we can at least get the support people to forward this problem to the engineers (even if it's a no-promise thing), it's possible that they will consider fixing it in the next BIOS update, since it will presumably be easy for them to do (they already fixed it, intentionally or not, for the 4810t).

Matthew Lai (cyberfish) wrote :

By the way, has anyone tried TuxOnIce?

There doesn't seem to be a pre-built package for karmic.

Darrell Kavanagh (darrell) wrote :

In my request to Acer, I told them that the same problem with the 4810T has been reported to have been solved after a BIOS update, so hopefully I have pointed them in the right direction. Still, I think that experience tells us that when there is an incompatibility between Linux and a hardware manufacturer's implementation of any given feature, it is Linux which has to be "fixed", even if it is the manufacturer's implementation which is broken and/or not following standards. Here's hoping, though.

Uwe Debacher (uwe-debacher) wrote :

I got the same problem with an "Acer TravelMate 8471" and Ubuntu 9.04 32Bit.

Suspend seems to work, on resume it seems to start up, but powers off after a few seconds. With WindXP suspend works.

Everything else works fine.

* Intel Core™2 Duo SU9400 2x 1,4 GHz
* System-BIOS V1.03

Matthew Lai (cyberfish) wrote :

BIOS 1.14 released for 3810t. Suspend still doesn't work.

Darrell Kavanagh (darrell) wrote :

3410T, Bios 1.14, Kernel 2.6.31-11-generic (64 bit) - suspend still does not work

citizenofnowhere (annafil) wrote :

Though it may be a long shot, has anyone compared the F2 menu bios settings between 4810 and 3810?

The reason I ask is that Acer has a history of "fixing" something by disabling that function (something I noticed when upgrading from .03 to .14) - I wonder if anything is visibly different there?

If not yet, can anyone post up some images of the configurations of the working 4810 bios?

Problem is more likely to be somewhere deeper but you never know :)

citizenofnowhere (annafil) wrote :

Not surprisingly, still there in Karmic Beta :)

Robert Schöftner (rmu) wrote :

Still does not work with 2.6.32-020632rc3-generic.

Aitor (aitor-mrb) wrote :

So, how can we solve this problem? is it an ubuntu problem or it could be a BIOS error?

Albert Vilella (avilella) wrote :

Just to mention that there are now more than 100 users affected by this suspend problem. I hope either a BIOS update or a fix in the kernel code can solve it :-)
https://launchpad.net/~acertimeline

Can you guys please give us the contents of /etc/fstab.

I'd also appreciate it if you could try this on the latest Karmic. It is now Beta and they have reached kernel freeze. If the issue will be solved for the 9.10 release, it's there now.

I'm sorry I've been absent but this isn't my area of knowledge but I see community support is elsewhere.

# /etc/fstab: static file system information.
#
# Use 'blkid -o value -s UUID' to print the universally unique identifier
# for a device; this may be used with UUID= as a more robust way to name
# devices that works even if disks are added and removed. See fstab(5).
#
# <file system> <mount point> <type> <options> <dump> <pass>
proc /proc proc defaults 0 0
# / was on /dev/sda5 during installation
UUID=d2e9b30b-a80f-4a39-9594-b3da366a46f6 / ext4
errors=remount-ro 0 1
# /home was on /dev/sda7 during installation
UUID=974aef8c-1469-4a9e-b005-9e4edcfbb9ab /home ext4
defaults 0 2
# swap was on /dev/sda6 during installation
UUID=517a440c-f03f-4a97-afd5-9f52855ea6b2 none swap
sw 0 0

On Sun, Oct 18, 2009 at 9:52 PM, Michael Lustfield <email address hidden>wrote:

> Can you guys please give us the contents of /etc/fstab.
>
> I'd also appreciate it if you could try this on the latest Karmic. It is
> now Beta and they have reached kernel freeze. If the issue will be
> solved for the 9.10 release, it's there now.
>
> I'm sorry I've been absent but this isn't my area of knowledge but I see
> community support is elsewhere.
>
> --
> resume from suspend doesn't work (powers off instead) for Acer Timeline
> 3810t/3410t
> https://bugs.launchpad.net/bugs/405120
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” package in Ubuntu: Confirmed
>
> Bug description:
> Resume from suspend (to RAM) doesn't work (powers off instead on resume,
> didn't touch the power button) for Acer Timeline 3810t (and friends).
>
>
> http://www.acer.co.uk/acer/seu30e.do?LanguageISOCtxParam=en&link=ln374e&CountryISOCtxParam=UK&acond125e=58846&kcond48e.c2att101=58846&sp=page17e&ctx1g.c2att92=122&ctx2.c2att1=17&ctx1.att21k=1&CRC=821813855
>
> Core 2 Solo (or Duo, both have this problem) ULV, Mobile Intel® GS45
> Express Chipset, Intel Wifi 5100.
>
> I have tried 9.04, 9.10 alpha 2 and 3, kernels 2.6.28 to 2.6.31, all
> 32-bit. BIOSes 1.04 and 1.08 (latest). Nothing works.
>
> There is a single isolated report of suspend working with 64-bit 2.6.30.
> https://help.ubuntu.com/community/AspireTimeline/Fixes
>
> Suspend seems to work perfectly, but when a key is pressed to start
> resuming, the machine seems to start back up, but automatically powers off
> afer a few seconds (screen didn't come back up).
>
> Using the "resume-trace" procedure described here does not yield any
> matches. Unloading all non-essential modules in single user mode doesn't fix
> it (used /etc/acpi/sleep.sh to initiate suspend).
>
> Suspend is initiated through gnome-power-manager, but I don't think that's
> the problem.
>
> What else can I try?
>
> Thanks!
>

I'm using latest Karmic: Linux fowie-laptop 2.6.31-14-generic #48-Ubuntu SMP Fri Oct 16 14:05:01 UTC 2009 x86_64 GNU/Linux

/etc/fstab:
# /etc/fstab: static file system information.
#
# Use 'vol_id --uuid' to print the universally unique identifier for a
# device; this may be used with UUID= as a more robust way to name devices
# that works even if disks are added and removed. See fstab(5).
#
# <file system> <mount point> <type> <options> <dump> <pass>
proc /proc proc defaults 0 0
# / was on /dev/sda1 during installation
UUID=ae0a8264-734c-4ccd-956b-dc188029952b / ext2 noatime,errors=remount-ro 0 1
UUID=a63acbd5-5ddf-4e68-93f9-edb3e2f7fa23 none swap sw 0 0
tmpfs /tmp tmpfs defaults,noatime,mode=1777 0 0

david@stimpy:~$ cat /etc/fstab
# /etc/fstab: static file system information.
#
# Use 'blkid -o value -s UUID' to print the universally unique identifier
# for a device; this may be used with UUID= as a more robust way to name
# devices that works even if disks are added and removed. See fstab(5).
#
# <file system> <mount point> <type> <options> <dump> <pass>
proc /proc proc defaults 0 0
/dev/sda1 / ext4 noatime,errors=remount-ro 0 1
/dev/sda2 /win ntfs-3g nosuid,nodev,allow_other,default_permissions,blksize=4096
       0 2
tmp /tmp tmpfs defaults 0 0
mule:/mnt/1000 /home/david/media nfs user,noauto,tcp,rsize=1048576,wsize=1048576,exec 0 2

I installed the beta last week. I'm fully up to date today
(2.6.31-14-generic) and still experiencing this problem with BIOS
1.14.

db

I'm a bit baffled by what this has to do with suspend, but here it is:

user@machine:~$ uname -a
Linux machine 2.6.31-14-generic #48-Ubuntu SMP Fri Oct 16 14:04:26 UTC 2009 i686 GNU/Linux
user@machine:~$ cat /etc/fstab
# /etc/fstab: static file system information.
#
# Use 'blkid -o value -s UUID' to print the universally unique identifier
# for a device; this may be used with UUID= as a more robust way to name
# devices that works even if disks are added and removed. See fstab(5).
#
# <file system> <mount point> <type> <options> <dump> <pass>
proc /proc proc defaults 0 0
# / was on /dev/sda7 during installation
UUID=8e39fce9-d855-4e1c-9063-35639f1383e4 / ext3 errors=remount-ro 0 1
# /home was on /dev/sda8 during installation
UUID=5c984e40-2381-4444-88b0-89c611d7455f /home ext3 defaults 0 2
# swap was on /dev/sda5 during installation
UUID=ac479525-2163-4f04-b3a1-2cbe20ee89f8 none swap sw 0 0

miegiel (nix-miegiel) wrote :

The one above is from xubuntu, this one is from ubuntu (both karmic)

user@machine:~$ uname -a
Linux machine 2.6.31-14-generic #48-Ubuntu SMP Fri Oct 16 14:04:26 UTC 2009 i686 GNU/Linux
user@machine:~$ cat /e
etc/ extlinux.cfg extlinux.sys
user@machine:~$ cat /etc/fstab
# /etc/fstab: static file system information.
#
# Use 'blkid -o value -s UUID' to print the universally unique identifier
# for a device; this may be used with UUID= as a more robust way to name
# devices that works even if disks are added and removed. See fstab(5).
#
# <file system> <mount point> <type> <options> <dump> <pass>
proc /proc proc defaults 0 0
# / was on /dev/sda6 during installation
UUID=09163cc8-6893-4c6c-90a7-700582dcf1f5 / ext3 errors=remount-ro 0 1
# /home was on /dev/sda8 during installation
UUID=5c984e40-2381-4444-88b0-89c611d7455f /home ext3 defaults 0 2
# swap was on /dev/sda5 during installation
UUID=ac479525-2163-4f04-b3a1-2cbe20ee89f8 none swap sw 0 0

Ohad (ohad-basan) wrote :

I got the latest bios (1.14) using a 3810t with kamic beta 64bit and still experiencing the suspend problem

Robert Buhren (weelkin) wrote :

This bug seems to be the same, as with the Acer Travelmate Timeline 8371 : https://bugs.launchpad.net/ubuntu/+source/linux/+bug/429456
I think the underlying problem is the same.

robert

AS3810T-354G32n

user@machine:~$ uname -a
Linux whisper 2.6.31-14-generic #48-Ubuntu SMP Fri Oct 16 14:05:01 UTC 2009 x86_64 GNU/Linux
user@machine:~$ cat /etc/fstab
# /etc/fstab: static file system information.
#
# Use 'blkid -o value -s UUID' to print the universally unique identifier
# for a device; this may be used with UUID= as a more robust way to name
# devices that works even if disks are added and removed. See fstab(5).
#
# <file system> <mount point> <type> <options> <dump> <pass>
proc /proc proc defaults 0 0
# / was on /dev/sda1 during installation
UUID=a5530a22-57c5-44b8-8c20-f1e7e72b70da / ext4 errors=remount-ro 0 1
# /home was on /dev/sda3 during installation
UUID=a213e1fc-4d48-4a0c-8f88-5f9a132db7dd /home ext4 defaults 0 2
# swap was on /dev/sda2 during installation
UUID=cbe8dcef-b35f-4275-83ac-a92dac615e76 none swap sw 0 0
/dev/scd0 /media/cdrom0 udf,iso9660 user,noauto,exec,utf8 0 0
/dev/scd0 /media/floppy0 auto rw,user,noauto,exec,utf8 0 0

Pedro Madruga (pfem) wrote :

pedro@pedro-laptop:~$ uname -a
Linux pedro-laptop 2.6.31-14-generic-pae #48-Ubuntu SMP Fri Oct 16 15:22:42 UTC 2009 i686 GNU/Linux
pedro@pedro-laptop:~$ cat /etc/fstab
# /etc/fstab: static file system information.
#
# Use 'blkid -o value -s UUID' to print the universally unique identifier
# for a device; this may be used with UUID= as a more robust way to name
# devices that works even if disks are added and removed. See fstab(5).
#
# <file system> <mount point> <type> <options> <dump> <pass>
proc /proc proc defaults 0 0
# / was on /dev/sda5 during installation
UUID=d1f93c2e-c6d6-4603-bb15-00456d1ee60b / ext4 errors=remount-ro 0 1
# swap was on /dev/sda6 during installation
UUID=0f351a76-3d07-45f0-8cc4-613f100df106 none swap sw 0 0

We don't need your fstab anymore. I only wanted to check out a few things on it. It's the second fstab that told me the partitions aren't the issue.

Unfortunately, I have not been able to reproduce this and I have not been able to find any further information in the logs. I'm sorry that I'm not able to help any further.

arronax23 (christian-goll) wrote :

I'm using a Timeline 8571 which has probably the same bug. I noticed two things:
* At the resume the hard drive doesn't spin up until the machine reboots. Is suppose this is related to the kernel option libata.noacpi=1 which enables a faster boot up for the laptop. Without this switch the kernel waits about 7 seconds for the harddrive.
* I once got a state were suspend and resume was working. But unfortunately I can't reproduce this state any more.

I'm having this bug too. If there's anything I can do/test, I'll happily help.

Is this a general linux bug or limited to ubuntu?

I have the same problem with archlinux and fedora

On Sun, Nov 8, 2009 at 7:42 PM, ThomasMartitz <email address hidden> wrote:

> I'm having this bug too. If there's anything I can do/test, I'll happily
> help.
>
> Is this a general linux bug or limited to ubuntu?
>
> --
> resume from suspend doesn't work (powers off instead) for Acer Timeline
> 3810t/3410t
> https://bugs.launchpad.net/bugs/405120
> You received this bug notification because you are a direct subscriber
> of the bug.
>

It's a machine-specific problem. As far as my research goes, no other machine on the planet has this same problem. Some have problem suspending, some have problem waking up (freeze), but no machine would shutdown instead.

Iceman (gdonato) wrote :

No news?
Do i have to loose my hopes to get Suspend to Ram working on my 3810T?
It's really amazing this happens on 2009->2010...
I can't understand why Acer does not make anything to solve this problem...

miegiel (nix-miegiel) wrote :

Iceman wrote: "... I can't understand why Acer does not make anything to solve this problem."

Have you asked acer yet? I've heard from someone who called their call-wall (center) that they don't support linux. In other words, they sincerely care about wasting as little time and money as possible. This probably not what you wanted to hear, but it is how acer makes cheap laptops.

Now, regarding the suspend bug, though it's probably caused by the acer BIOS, I think it will need to be fixed in the linux kernel. The platform the timeline is built on (CPU, chipset) is relatively new. The timeline was one of the first laptops produced on this platform and due to the propriety nature of most hardware linux usually lags behind a bit with full hardware support (compare jaunty and karmic on the timeline and you'll see what I mean). You really have only 2 options, help resolve the bug(s) or just wait patiently. I'm reasonably confident suspend will work by the time lucid will be released.

Maverick (i-elenskiy) wrote :

Acer sells Timeline 8371 with pre-installed linux. Its a cut to terminal version which is not really usable, but i would expect that if it says "preinstalled OS: Linux" it would also completely be compatible with linux. I'll contact acer support with this issue too. The quality of the timeline is really impressive and it would be really discouraging if they leave the users down so much with linux support.

Im not an experienced linux user, but if there is someone of the ubuntu team around Hannover/Braunschweig germany i would consider giving him my laptop for some weekends for working on this.

Can also confirm HDD seems only to spinoff after restart, also according to the 8371 bug report, there seem to be a couple of "file not found" messagesin the log, which can mean its really a hdd startup issue.

ThomasMartitz (thomas-martitz) wrote :

We should be able to get the source then. Let's hope the resume mechanism is the same.

Iceman (gdonato) wrote :

Miegiel, i have already written them... no reply...

Has anyone tried the 1.17 bios?

Yes and no love with suspend. But I think it broke some video functions (on
fedora 12 but not ubuntu) and has intermittent sound problems. Can anyone
confirm the same or am I stuck with funny software bugs on Linux?

On Wed, Nov 25, 2009 at 19:48, Iceman <email address hidden> wrote:

> Miegiel, i have already written them... no reply...
>
> Has anyone tried the 1.17 bios?
>
> --
> resume from suspend doesn't work (powers off instead) for Acer Timeline
> 3810t/3410t
> https://bugs.launchpad.net/bugs/405120
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Acer Customer support is blowing us all off. Please print out this letter and snail mail it to the Acer America headquarters. I will also put the address here.

Acer Management,

I recently purchased an Acer Aspire 3810T. It has thus far proved to be a wonderful little machine that is both light weight and has a great battery life. There is, however, one major issue that has yet to be resolved.

There appears to be a bug in the BIOS that prevents the machine from being able to suspend RAM under Linux. The same issue was present in the 4810T, but was fixed with a BIOS update. Several Acer customers have contacted Acer and have either received no response, or a simple insistence that Acer does not support Linux. While this may be true, the issue was clearly identified in the 4810T BIOS, and applying it to the 3810T BIOS should be a simple matter.

It is certainly your prerogative to support, or not, whichever operating systems you choose. In this case, however, the fix is likely the same BIOS tweak that was applied to the 4810T. Failing to release a simple fix to stand your ground that Linux will not be supported makes no sense. You wind up alienating many customers in order to save a negligible amount of effort, or to prove a point. Either way, it is bad business in my view.

I write this letter in the hope that you can send word down to your engineers that this fix should be applied to the 3810T BIOS. Normal customer service channels have proved unwilling to do this. Should you decide to do so, you will have the gratitude of many customers, including me.

More information on this issue can be found at the following websites.

Bug report:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/405120

Acer timeline group:
https://launchpad.net/~acertimeline

Ubuntu Acer Timeline Forum Thread:
http://ubuntuforums.org/showthread.php?t=1165087

Sincerely,

and here is the address:

Acer America Corp.
333 W. San Carlos Street, Suite 1500
San Jose, CA 95110, USA

Regulas (regulas1) wrote :

Add me to the list of affected Timeline users. I just bought a 13.3" Acer Aspire Timeline 3810TZ model and my suspend does the same thing. It shuts down instead of resuming. I hope they get this fixed.

machibou (machibou-pub) wrote :

> Has anyone tried the 1.17 bios?

I tried with the 1.17 bios using a 3810tz with kamic 64bit and still unfortunately experiencing the suspend problem...

DJ Belieny (djbelieny) wrote :

OK, updated to 1.17 running Karmic 2.6.31-17-generic AMD64 and still nothing.
Just send out a letter to acer as suggested above, let's see if we get some answers.

Axx83 (axx83) wrote :

I have a travelmate 8571 (check this page: https://help.ubuntu.com/community/AspireTimeline) and I seem to have the exact same issue with the latest bios 1.27 from acer installed.

Jan-Philipp Litza (jplitza) wrote :

I have a Travelmate 8471, BIOS 1.27 and have the same issue.

But this isn't going to be a "Me too" post: I donated my last night to hack around a bit with the DSDT. I didn't really read through it but rather just fixed the errors the Intel ASL compiler found and hoped it would help.
Even though most of the errors concerned the AHCI controller (the DSDT used ^^PCI0.AHCI.PRT5 which wasn't found. I replaced it with \_SB.PCI0.AHCI.PRT5 to get rid of the errors) it didn't help a single bit - the HDD doesn't come back to live on resume.
This I yet want to try:
- Get the SSDTs, as the AHCI controller seems to be covered in such a table
- Maybe get a diff of the "holy BIOS upgrade" for the Aspire 4710 an look if there are similar structures in my BIOS

Furthermore, I doubt that Louis-Dominique Dubeau really managed to try acpi_osi="Windows 2006", as the space isn't recognized and the kernel only sees acpi_osi=Windows. To use "Windows 2006", one has to edit the kernel sources, as far as I can see. Anyway, there are only a few places in the DSDT where this setting actually has an effect. In one line, "Windows 2001" is treated specially. On three occasions, "Windows 2006" is treated separately, on one last occasion any Windows (Windows 2001, Windows 2001 SP1, Windows 2001 SP2, Windows 2006) gets an extra.

And as the hole thing is connected to the harddrive as it seems, I tried turning AHCI off and IDE on in the BIOS, but as anticipated, that didn't change anything (would have been far too easy).

By the way, did anybody try to suspend from the Live CD, i.e. without using the harddisk and the SATA controller?

summary: - resume from suspend doesn't work (powers off instead) for Acer Timeline
- 3810t/3410t
+ resume from suspend doesn't work (powers off instead) for various Acer
+ Timeline laptops

3810T-6775 can neither suspend nor hibernate on Xubuntu 9.10, SMP x86_64 2.6.31-16 or any prior version.

For what it's worth, I cannot upgrade BIOS because I had to edit the EFI VSS to enable VT:
http://feature-enable.blogspot.com/2009/07/enable-vt-on-insydeh2o-based-sony-vaio.html

and apparently this procedure doesn't work on BIOS 1.10 or beyond ...

Uwe Fechner (ufechner) wrote :

@eval:
Well, you can upgrade to the bios version 1.5, it has enabled VT by default.
Best regards:

Uwe Fechner

citizenofnowhere (annafil) wrote :

Bios 1.20 out (dec 30). Still no suspend.

bios 1.20 is out
any change?

Oh my..... updated to 1.20 and no luck... all "remains" the same, no resume from suspend.
BTW: Thank you Hassan for the heads up on the new BIOS.

Maverick (i-elenskiy) wrote :

updated to kernel 2.6.31-17. No luck too.

arno (star-gmx) wrote :

Can confirm this bug also on 8571 - newest bios 1.24.
Also the boot process is slowed down for some 15 seconds. You get rid off this delay by switching off ACPI, but it has a lot of drawbacks - no solution.
Does this bugs are connected with each other?

arno (star-gmx) wrote :

found this, maybe it helps someone:

http://ubuntuforums.org/showpost.php?p=7703165&postcount=175

"Yes, I just did a Suspend to RAM. Hibernate works fine also. I don't have any special packages on my Ubuntu Jaunty but I do have my BIOS HDD setting of IDE instead of AHCI. Updating to PPA kernel solves the AHCI problem and I can boot to ubuntu with AHCI on but my Windows 7 RC won't and it gives me a blue screen (probably because I installed Win7 when it was set to IDE mode)."

What is a PPA kernel? Where to get from? Drawbacks?

Maverick (i-elenskiy) wrote :

PPA is, as i understand, a (unsupported) kernel directly from the repository..

Updated to -proposed 2.6.31-18-generic. Bios 1.18. No luck with Timeline 8371..

arno:

that would be the 4810. we know the 4810 works - different bios.

On Tue, Jan 26, 2010 at 20:08, arno <email address hidden> wrote:

> found this, maybe it helps someone:
>
> http://ubuntuforums.org/showpost.php?p=7703165&postcount=175
>
> "Yes, I just did a Suspend to RAM. Hibernate works fine also. I don't
> have any special packages on my Ubuntu Jaunty but I do have my BIOS HDD
> setting of IDE instead of AHCI. Updating to PPA kernel solves the AHCI
> problem and I can boot to ubuntu with AHCI on but my Windows 7 RC won't
> and it gives me a blue screen (probably because I installed Win7 when it
> was set to IDE mode)."
>
> What is a PPA kernel? Where to get from? Drawbacks?
>
> --
> resume from suspend doesn't work (powers off instead) for various Acer
> Timeline laptops
> https://bugs.launchpad.net/bugs/405120
> You received this bug notification because you are a direct subscriber
> of the bug.
>

arno: I had the delay as well (even though it was only some 5 seconds or so) and it was caused by the harddrive (or, to be more precise, the libata driver) which complained about something _SSD (I don't have a SSD, don't even know if the error message in kernel log really referred to the solid-state-disk "SSD"). Anyway, I worked around the problem with libata.noacpi=1, which disables ACPI for the harddrive but not for the hole system. I think there was an alternative workaround which changed the scheduler or something, but I went with this one.
I don't have any noticable drawbacks because of that kernel switch - Hibernate works just fine (I use TuxOnIce BTW, a great way to reduce hibernation times) and everything else which is related to ACPI didn't suffer either.

So, if your kernel log says something about an SSD as well just before the delay occurs, try this switch (or just try it instead of turning ACPI off completely).

arno (star-gmx) wrote :

Thanks, boots faster now.
But suspend still doesn't work.

john (glangollor) wrote :

Hi,
I update to newes git kernel from time to time. All I discovered was I can save more battery using the
git://git.kernel.org/pub/scm/linux/kernel/git/lenb/linux-acpi-2.6
kernel .
So powertop goes down to 8.1W still having WLAN on instead of just 8.8W I got with the 2.6.33 from Linus git kernel from the same day.

sry folks :-(

Maverick (i-elenskiy) wrote :

@john
getting rate >10W with kernel 2.6.31... My battery doesnt survive the promised 8 hours either.. looking forward for 33th kernel then :)

Hey guys,

i permute the problem is a buggy dsdt .

so i found this thread in ubuntuforums :
http://ubuntuforums.org/showpost.php?p=8879430&postcount=408

where i asked to patch my attached dsdt. i've also attached it here, it is from acer travelmate 8471 bios 1.27.

when i've tried to decompile it with iasl there are many bugs, some of them i could solve in commenting out some lines but i'm also a dsdt illiterate and don't know if it is the right direction.

i think it would be very helpful to see a already patched dsdt from already fixed timeline 4810T so someone can compare it.

when there is something more i can do, feel free to ask.

when i get a working patched dsdt, where i should submit it?

many greetings
jakob

Jakob:

I've looked at the 4810T dsdt. It is completely different - all the names
for the devices and all references are very different. Acer confirmed when I
asked them that it is a different motherboard model. The 4810 and 5810 share
the BIOS, the dsdt and generally the bugs and fixes. The 3810 is completely
different hardware (don't ask me why) so to me that indicates the 4810 one
wouldn't really help.

That said, the 4810 dsdt is available on the ubuntu forum thread related to
the 3810 - google and ye shall find that discussion :) You're welcome to
poke around and see if you can figure out what's missing in the 3810 one. If
you get anything, you can probably start a thread about it on the Ubuntu
forums and post a link here.

Maybe there I can share more with you about what I've learned.

On 25 February 2010 18:37, Jakob Kartschall <<email address hidden>
> wrote:

> Hey guys,
>
> i permute the problem is a buggy dsdt .
>
> so i found this thread in ubuntuforums :
> http://ubuntuforums.org/showpost.php?p=8879430&postcount=408
>
> where i asked to patch my attached dsdt. i've also attached it here, it
> is from acer travelmate 8471 bios 1.27.
>
> when i've tried to decompile it with iasl there are many bugs, some of
> them i could solve in commenting out some lines but i'm also a dsdt
> illiterate and don't know if it is the right direction.
>
> i think it would be very helpful to see a already patched dsdt from
> already fixed timeline 4810T so someone can compare it.
>
> when there is something more i can do, feel free to ask.
>
> when i get a working patched dsdt, where i should submit it?
>
> many greetings
> jakob
>
>
> ** Attachment added: "dsdt tm8471 1.27"
> http://launchpadlibrarian.net/39760846/dsdt.dsl
>
> --
> resume from suspend doesn't work (powers off instead) for various Acer
> Timeline laptops
> https://bugs.launchpad.net/bugs/405120
> You received this bug notification because you are a direct subscriber
> of the bug.
>

I have an Acer TravelMate 8571-8537 Timeline with BIOS version 1.33 and I have the exact same behaviour with suspend and resume. When I suspend it, the machine appears to suspend correctly, upon resume it will turn on the wifi light for a few seconds and then go through a cold boot cycle. I tried a few different configurations, first with the Ubuntu 9.10 2.6.31-14 32-bit and 64-bit kernels on the v 1.24 BIOS, and then both on the v 1.33 BIOS. I then tried the 2.6.31-20 64-bit kernel on the v 1.33 BIOS. No luck with any combination. If there are any steps I can take, or any information I can provide to help, please let me know.

Stefan Koch (stefan-koch) wrote :

With my Acer TravelMate 8571-352G25Mn suspend to RAM does not work, too. (suspend to HDD works)
Thats the TravelMate with the Core2Solo SU3500 CPU shipped with Linpus Linux (terminal only)

I'm using ubuntu 9.10 amd64 with 2.6.31-20-generic linux kernel.
The latest apt-get update; apt-get dist-upgrade was today.

-------------

If I launch a suspend, the laptop goes in suspend (the power led is blinking) if I press the power button the laptop makes a reboot/restart.

Steps for the last suspend:
apt-get update
apt-get dist-upgrade
REBOOT (normal)
REBOOT (normal)

Open gnome-terminal THEN
sudo su
sh -c "sync; echo 1 > /sys/power/pm_trace; pm-suspend"

NOW suspend ERROR!
open gnome-terminal
sudo su
dmesg > dmesg.txt

The dmesg.txt file is attached here...

I use ubuntu 9.10 amd64 with 2.6.31-20-generic linux kernel.
The latest apt-get update; apt-get dist-upgrade was today.

Thanks...

Stefan Koch (stefan-koch) wrote :

I'm using BIOS V 1.33, before I used BIOS V 1.02 at this time suspend does not work, too.

Stefan Koch (stefan-koch) wrote :

With ubuntu 10.04 beta from USB (amd64) it's the same problem...

Stefan:
Thanks for your dmesg, I wasn't able to get an useful output after:

sh -c "sync; echo 1 > /sys/power/pm_trace; pm-suspend"

but you did it!

Latest hash matches in your dmesg was:

[ 0.781706] i8042 aux 00:08: hash matches

So i've googled around and found these bug report:
https://bugs.launchpad.net/ubuntu/+bug/236656

I've tested and it worked for me. I'm able to suspend my Acer Travelmate 8471, Bios 1.27, Ubuntu Lucid Lynx 10.04 with 2.6.32-16-generic.
So we need confirmation which other variations works with this patch.

For testing you can hold down [Shift] while grub is loading during boot process.
Add this boot param in the kernel line (beware of the line break):
i8042.reset=1
If it works you can make changes persistent in Lucid Lynx with editing /etc/default/grub with root rights and add the boot param to this line so it looks like this:
GRUB_CMDLINE_LINUX_DEFAULT="quiet splash i8042.reset=1"

Please report if it works or not.

After editing /etc/default/grub you have to run "sudo update-grub" for sure...forgot about that.

Mansour (oxplot) wrote :

O ho ho - voila
it WORKSSS ! Sorry to mess up this bug, but I'm excited as hell after having had to shut down my machine every time for past 8 months.
My lappy is an Acer Travelmate 8371G and I'm running Karmic up to date.

I can confirm that its working with the "i8042.reset=1" switch
(TravelMate 8371 on Karmic up to date) :)

Spread the news!

Am Dienstag, den 23.03.2010, 08:31 +0000 schrieb Mike:
> O ho ho - voila
> it WORKSSS ! Sorry to mess up this bug, but I'm excited as hell after having had to shut down my machine every time for past 8 months.
> My lappy is an Acer Travelmate 8371G and I'm running Karmic up to date.
>

Robert Schöftner (rmu) wrote :

On 2010-03-23 09:31, Mike wrote:
> O ho ho - voila
> it WORKSSS ! Sorry to mess up this bug, but I'm excited as hell after having had to shut down my machine every time for past 8 months.
> My lappy is an Acer Travelmate 8371G and I'm running Karmic up to date.
>
>
I can confirm for Aspire timeline 3810TZ, BIOS 1.10 date 2009-07-20,
adding i8042.reset=1 to kernel cmdline makes suspend to RAM work! at last!

thank you all very much!

Travelmate 8471 bios 1.34 latest lucid adding adding i8042.reset=1 to the grub parameter finally works!
thx a lot guys!

I can confirm that it's also working in a travelmate 3810T.

Best Regards

El mar, 23-03-2010 a las 09:05 +0000, Robert Schöftner escribió:
> On 2010-03-23 09:31, Mike wrote:
> > O ho ho - voila
> > it WORKSSS ! Sorry to mess up this bug, but I'm excited as hell after having had to shut down my machine every time for past 8 months.
> > My lappy is an Acer Travelmate 8371G and I'm running Karmic up to date.
> >
> >
> I can confirm for Aspire timeline 3810TZ, BIOS 1.10 date 2009-07-20,
> adding i8042.reset=1 to kernel cmdline makes suspend to RAM work! at last!
>
> thank you all very much!
>

--
José Sánchez Moreno <email address hidden>
O2W eSolutions

Hassan (hsn-zamani) wrote :

On Tue, 2010-03-23 at 08:07 +0000, Jakob Kartschall wrote:
> Stefan:

I confirm that it work on 3810TG, and tanks a lot

I can confirm as well (3810TG). Finally WOOHOOHO \o/

What's the matter with this kernel option? If it works so well, why isn't it the default?

Jan-Philipp Litza (jplitza) wrote :

Works for me as well. This is unbelievable! I already thought this to be unsolvable in kernel, but this did it! Thanks!

I edited the original description so the workaround is easier to find.

description: updated
description: updated
miegiel (nix-miegiel) wrote :

It works on my 3810T too :D

Personally I prefer :

GRUB_CMDLINE_LINUX_DEFAULT="quiet splash"
GRUB_CMDLINE_LINUX="i8042.reset=1"

over

GRUB_CMDLINE_LINUX_DEFAULT="i8042.reset=1 quiet splash"
GRUB_CMDLINE_LINUX=""

miegiel:

Ah, you're right...seems to be the "more common" setting...

@All
Great it works finally for all affected Acer Laptops, maybe other brands too, there are resuming problems with very similiar Sony Vaios, HPs and Toshiba Laptops...
So what are the next steps, should I file a bug to kernel developers with this solution so it can be fixed (if it is possible, i hope it can be integrated in the acer-wmi module or something similiar) in the next kernel releases (i think it would be better a english native speaker do this)?
Or is there already one, i've found nothing.

And, please spread to your Linux community platform (wikis, forums etc.) so all the people can get suspend working, it saves our rain forest (and surely increases our electricity bill)! ;)

Stefan Koch (stefan-koch) wrote :

CHANGE the line: linux /boot/vmlinuz-2.6.31-20-generic root=UUID=... ro quiet splash
TO: linux /boot/vmlinuz-2.6.31-20-generic root=UUID=... ro quiet splash i8042.reset=1

=> suspend to RAM works now

Thanks...

DJ Belieny (djbelieny) wrote :

Thank you, Thank you, Thank you....
I confirm the fix it works great with the 3810TZ.
I have been waiting for this forever, whoever came up with this deserves a free dinner :)
BTW I didn't have the /etc/default/grub in Karmic so I edited the kernel line in the menu.lst

Sean Stoops (brutimus) wrote :

I can confirm that adding the 'i8041.reset=1' to my /etc/default/grub and issuing the update-grub command fixes all my suspend issues!

AS3810T-8737 running Karmic x64.

brutimus@flux:~$ uname -a
Linux flux 2.6.31-20-generic #57-Ubuntu SMP Mon Feb 8 09:02:26 UTC 2010 x86_64 GNU/Linux

Thanks all!

Darrell Kavanagh (darrell) wrote :

Many, many thanks.
I can confirm that the fix works on 3410T with Bios 1.10

Darrell

citizenofnowhere (annafil) wrote :

Three cheers for Jakob!

Hip hip...

Jakob: I think this should be submitted as a patch against i8042 in the kernel - they appear to have a list of laptops that require options like i8042.nomux and i8042.reset, hopefully it would get integrated into the next release - unfortunately too late for 10.4!

Thanks a lot. It works with my TM8471 (BIOS 1.27) and Ubuntu Karmic
32-bit (up-to-date) :-)

By the way, on 2010/03/22 Acer released a new BIOS-Version 1.34 with
several fixes (3G, WOL, WLAN and LED charging indicator) for the 8471
which can be obtained from acer.com. It's a bit like Christmas and
Easter on one single day.

Best regards,

Tom

DanL (dan-l) wrote :

I'm not sure what the model TM8471 is, but BIOS 1.32 really borked Ubuntu
for my Timeline 4810TZ. Might want to be careful even with the 1.34 BIOS.

Also, I've never had a problem with suspend. Is this an isolated issue to a
certain model? Hibernate is slower than dirt, but suspend has always been
snappy.

-Dan

On Wed, Mar 24, 2010 at 4:16 AM, Tom <email address hidden> wrote:

> Thanks a lot. It works with my TM8471 (BIOS 1.27) and Ubuntu Karmic
> 32-bit (up-to-date) :-)
>
> By the way, on 2010/03/22 Acer released a new BIOS-Version 1.34 with
> several fixes (3G, WOL, WLAN and LED charging indicator) for the 8471
> which can be obtained from acer.com. It's a bit like Christmas and
> Easter on one single day.
>
> Best regards,
>
> Tom
>
> _______________________________________________
> Mailing list: https://launchpad.net/~acertimeline
> Post to : <email address hidden>
> Unsubscribe : https://launchpad.net/~acertimeline
> More help : https://help.launchpad.net/ListHelp
>

@#111: If the patch is trivial enough it can (and should) be backported. A lot of more complex stuff has been backported into the 10.04 2.6.32 kernel (most notably intel&radeon kms stuff).

Just to add: This. Is. So. Awesome. Works perfectly for me (Aspire
3810T) on Lucid 64-bit (up-to-date)! Many thanks to whoever came up with
that!

description: updated

Thank you thank you thank you Stefan and Jakob!!! After all my effort playing with TuxOnIce and getting suspend to disk working.. finally, things will work out-of-the-box (more or less!) Really appreciate the insightful debugging, keep up the good work and good luck getting it patched upstream!

Hi!
i have problem with suspend in 10.04 with Acer 3810tg , bios v.1.28. It've added i8042.reset=0 parameter, but suspend working properly only one time. Second time it doesn't wake up (black screen).

2.6.32-24-generic #43-Ubuntu SMP Thu Sep 16 14:17:33 UTC 2010 i686 GNU/Linux

Hi Alexandr,
Do you have a specific reason for using 0 instead of 1? The fix I've
done is stated below and it works on my TM8471.

> Change GRUB_CMDLINE_LINUX="" to GRUB_CMDLINE_LINUX="i8042.reset=1" in /etc/default/grub.
> Run sudo update-grub.

Sincerely,
Tom

Am 24.09.2010 16:16 schrieb Prokopenko Alexandr:
> Hi!
> i have problem with suspend in 10.04 with Acer 3810tg , bios v.1.28. It've added i8042.reset=0 parameter, but suspend working properly only one time. Second time it doesn't wake up (black screen).
>
> 2.6.32-24-generic #43-Ubuntu SMP Thu Sep 16 14:17:33 UTC 2010 i686
> GNU/Linux
>

Tom,
it's error in my comment, sorry, i mean 1.

My /etc/default/grub looks like:

GRUB_DEFAULT=0
#GRUB_HIDDEN_TIMEOUT=0
GRUB_HIDDEN_TIMEOUT_QUIET=true
GRUB_TIMEOUT=10
GRUB_DISTRIBUTOR=`lsb_release -i -s 2> /dev/null || echo Debian`
GRUB_CMDLINE_LINUX_DEFAULT="quiet splash i8042.reset=1"
GRUB_CMDLINE_LINUX=""

Ok, the only difference I see is that I have the i8042.reset=1 in the
second line (without the _DEFAULT).

GRUB_CMDLINE_LINUX_DEFAULT="quiet splash"
GRUB_CMDLINE_LINUX="i8042.reset=1"

You can try this and see if it works.

HTH
Tom

Am 25.09.2010 00:01 schrieb Prokopenko Alexandr:
> Tom,
> it's error in my comment, sorry, i mean 1.
>
> My /etc/default/grub looks like:
>
> GRUB_DEFAULT=0
> #GRUB_HIDDEN_TIMEOUT=0
> GRUB_HIDDEN_TIMEOUT_QUIET=true
> GRUB_TIMEOUT=10
> GRUB_DISTRIBUTOR=`lsb_release -i -s 2> /dev/null || echo Debian`
> GRUB_CMDLINE_LINUX_DEFAULT="quiet splash i8042.reset=1"
> GRUB_CMDLINE_LINUX=""
>

Thanks, Tom, i tried to move "i8042.reset=1" to GRUB_CMDLINE_LINUX, but it not helped.

Still doesn't work =(

Did you do 'update-grub' after?

db

On 9/25/10, Prokopenko Alexandr <email address hidden> wrote:
> Thanks, Tom, i tried to move "i8042.reset=1" to GRUB_CMDLINE_LINUX, but
> it not helped.
>
> Still doesn't work =(
>
> --
> resume from suspend doesn't work (powers off instead) for various Acer
> Timeline laptops
> https://bugs.launchpad.net/bugs/405120
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Sent from my mobile device

David, of course, and also checked by pressing 'e' in grub. Without "i8042.reset=1" param susped absolutely doesnt work (switching off), and with param, suspend working correctly, but only one time.

Maybe this is ATI propietary driver problem? By the way, after driver installing, system doesn't boot when Swithable video mode in BIOS set, only with Discrete.

ATI proprietary driver removing not helped(

Alexander van Loon (avanloon) wrote :

I wonder if anyone has any idea on how this bug is going to get fixed now? I don’t understand, we have a workaround here which works (for the majority of those affected at least), yet it doesn’t seem like the workaround is going to get integrated in the kernel as a fix for the problem. This bug report doesn’t show any progress, and the last comment from a kernel developer on the relevant bug report in the kernel’s bug tracker – https://bugzilla.kernel.org/show_bug.cgi?id=15612 (as was mentioned in a comment here before) – is over six months ago now. What is the obstacle to get this fixed? Do the developers need any more information from the users affected by the bug, which we could then help provide? At this rate we will still have to apply this workaround manually once Ubuntu 10.10 (Maverick) is released, no?

After running
sudo sh -c "sync; echo 1 > /sys/power/pm_trace; pm-suspend"
i found strange record in dmesg output:

[ 0.657032] registered taskstats version 1
[ 0.657638] Magic number: 0:523:740
[ 0.657642] hash matches /build/buildd/linux-2.6.32/drivers/base/power/main.c:471

Paul Griffiths (ptg21) wrote :

Sorry to be slightly out of sequence but I wanted to communicate that GRUB_CMDLINE_LINUX="i8042.reset=1" is is also a fix for a similar issue in the (I believe Acer manufactured) Packard Bell Easynote Butterfly S running the Insyde Bios v. 1.07. Thanks!

This same problem with Ubuntu 10.04 LiveCD

Robert Buhren (weelkin) wrote :

Also same problem with maverick.
Whats the point in reporting bugs if they`re not fixed in new ubuntu versions even if there`s a solution?

Chris Wilson (notgary) wrote :

I can confirm that this problem is no longer affecting my Acer Timeline 3410T as of the Maverick update. If there is any kind of information dump I can provide regarding my system, I'd be happy to provide it.

3410T here as well, but I had to implement the fix under Maverick. Did you
upgrade from Lucid with the fix applied? May be it carried through.

On 11 October 2010 21:48, Chris Wilson <email address hidden> wrote:

> I can confirm that this problem is no longer affecting my Acer Timeline
> 3410T as of the Maverick update. If there is any kind of information
> dump I can provide regarding my system, I'd be happy to provide it.
>
> --
> resume from suspend doesn't work (powers off instead) for various Acer
> Timeline laptops
> https://bugs.launchpad.net/bugs/405120
> You received this bug notification because you are a direct subscriber
> of the bug.
>

For me, suspend correctly resume after secon suspend after updating to maverick. (3810tg)

Robert Buhren (weelkin) wrote :

I guess i was to quick with my conclusion.
Suspend still powers off my acer 8371. I did fresh install of maverick.

regards
robert

Robert, have you tried to update BIOS version?
What version do you have?

It seems I was too quick to conclude the problem solved. It did work in
the Maverick Development Release after applying the update (although it
didn't work immediately, it took one of the updates to get it to kick
in), but I recently reinstalled my system with Maverick, applied the
fix, and the problem was back.

Stefan Koch (stefan-koch) wrote :

I have the TravelMate 8571, and suspend works fine with maverick.

Changed in linux:
importance: Unknown → Medium
status: Unknown → Incomplete
Changed in linux:
status: Incomplete → In Progress
Alexander van Loon (avanloon) wrote :

For those who have not followed the discussion at the upstream bug report on the kernel's bugtracker, they have patches there which need testing. I confirmed these patches fix suspending, but they need testing from more persons before they can be implemented in the kernel. So anyone who is affected, can you please give the patches mentioned in the upstream bugreport a try and report you experience there?

cmyrland (carl-rahien) wrote :

Alex, link and instructions? :)

Alexander van Loon (avanloon) wrote :

On the top of this bugreport you can see a link [1] to the kernel bugtracker. There you can download the patches. I had never patched and built my own kernel before, so I had to figure that out by myself with the help of Google. I can't seem to find the exact instructions I used, but these [2] are a good start, as is this [3] for applying patches. I wish I could upload the patched kernel I compiled so others could immediately use that without having to repeat the process of building the kernel themselves, but the kernel .deb files I got were huge (40 MB or something, which is probably what happens when you don't customise/fine tune the build process) and I already deleted them.

[1] http://bugzilla.kernel.org/show_bug.cgi?id=15612
[2] https://help.ubuntu.com/community/Kernel/Compile
[3] http://en.wikipedia.org/wiki/Patch_(Unix)

Changed in linux:
status: In Progress → Incomplete
Changed in linux:
status: Incomplete → Fix Released
summary: - resume from suspend doesn't work (powers off instead) for various Acer
- Timeline laptops
+ resume from suspend doesn't work (powers off instead) for Acer Aspire
+ 3810T
tags: added: jaunty karmic needs-upstream-testing
description: updated
description: updated
description: updated

Matthew Lai, thank you for reporting this and helping make Ubuntu better. Karmic reached EOL on April 30, 2011.
Please see this document for currently supported Ubuntu releases:
https://wiki.ubuntu.com/Releases

We were wondering if this is still an issue in a supported release with only the Acer Aspire 3810T? If so, can you try with the latest development release of Ubuntu? ISO CD images are available from http://cdimage.ubuntu.com/releases/ .

If it remains an issue, could you run the following command in a supported release from a Terminal (Applications->Accessories->Terminal). It will automatically gather and attach updated debug information to this report.

apport-collect -p linux <replace-with-bug-number>

Also, if you could test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Please let us know your results.

If you have an issue for another laptop model, please file a new bug by executing the following at the Terminal and feel free to subscribe me to it:
ubuntu-bug linux

Thanks in advance.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
miegiel (nix-miegiel) wrote :

I'm sorry I can't assist, I no longer have this laptop.

Ohad (ohad-basan) wrote :

I still have this laptop
the problem still exists.

Stefan Koch (stefan-koch) wrote :

With kubuntu 11.10 (3.0.0-17-generic) this solution helps
"CHANGE the line: linux /boot/vmlinuz-[VERSION]-generic root=UUID=... ro quiet splash
TO: linux /boot/vmlinuz-[VERSION]-generic root=UUID=... ro quiet splash i8042.reset=1

=> suspend to RAM works now"

With ubuntu 12.04 beta2 with kernel 3.2.0-20-generic the problem still exists WITHOUT changing the lines above.

When this error will solved - that changing the line is no more required?

Stefan Koch (stefan-koch) wrote :

According to kernel bug report (https://bugzilla.kernel.org/show_bug.cgi?id=15612) this problem should solved in kernel 3.3 but ubuntu 12.04 uses 3.2.

Bob Bib (bobbib) on 2012-04-29
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
JW (jw-00000) wrote :

@penalvch: Why did you change the status back to Incomplete?

How can this bug be incomplete when it has been fixed upstream (see kernel bug report https://bugzilla.kernel.org/show_bug.cgi?id=15612)? According to that bug report, the bug is fixed in kernel 3.3, but ubuntu 12.04 uses 3.2. When ubuntu upgrades the kernel, this bug will (finally) be solved for ubuntu users.

Changed in linux:
importance: Medium → Undecided
status: Fix Released → New

JW, this report is Incomplete for many reasons:
+ None of the items requested in https://bugs.launchpad.net/linux/+bug/405120/comments/141 were provided by Matthew Lai.
+ https://bugzilla.kernel.org/show_bug.cgi?id=15612 is about Acer Timeline TravelMate 8571 while this report is about a Acer Aspire 3810T. Hence, that bug is irrelevant unless it has been tested to fix the problem reported here in a Acer Aspire 3810T.
+ Bob Bib inappropriately marked this Confirmed without the above being satisfied, nor providing a comment why it should be Confirmed.

JW (jw-00000) wrote :

> + https://bugzilla.kernel.org/show_bug.cgi?id=15612 is about Acer Timeline TravelMate 8571 while this report is about a Acer Aspire 3810T. Hence, that bug is irrelevant unless it has been tested to fix the problem reported here in a Acer Aspire 3810T.

That report ends with "turskaja" confirming that kernel 3.3 from the PPA for Precise Pangolin works on his Acer Aspire 3810TZ (with the latest BIOS version, 1.28) (see last three comments).

Also, in the comments Alexander van Loon mentions the patch works for the Acer Travelmate 8371 (while the bug report is for 8571).

If you want, I can also install kernel v3.3 from the PPA to verify whether things work correctly now on my 3810T.

Am 29.04.2012 21:24, schrieb JW:
>> + https://bugzilla.kernel.org/show_bug.cgi?id=15612 is about Acer
> Timeline TravelMate 8571 while this report is about a Acer Aspire 3810T.
> Hence, that bug is irrelevant unless it has been tested to fix the
> problem reported here in a Acer Aspire 3810T.
>
> That report ends with "turskaja" confirming that kernel 3.3 from the PPA
> for Precise Pangolin works on his Acer Aspire 3810TZ (with the latest
> BIOS version, 1.28) (see last three comments).
>
> Also, in the comments Alexander van Loon mentions the patch works for
> the Acer Travelmate 8371 (while the bug report is for 8571).
>
> If you want, I can also install kernel v3.3 from the PPA to verify
> whether things work correctly now on my 3810T.
>

I can confirm vanilla linux 3.3 works on my 3810TG.

FWIW, the fix is confirmed to work on many (all?) timeline models by
many people on the <email address hidden> list.

Best regards.

JW (jw-00000) wrote :

I just tested it, and can confirm suspend-to-ram works in linux 3.3:

linux-image-3.2.0-24-generic-pae (3.2.0-24.37)
WITHOUT i8042.reset=1:
does NOT work

linux-image-3.2.0-24-generic-pae (3.2.0-24.37)
WITH i8042.reset=1:
works

linux-image-3.3.3-030303-generic-pae (3.3.3-030303.201204240708) [1]
WITHOUT i8042.reset=1:
works

linux-image-3.3.3-030303-generic-pae (3.3.3-030303.201204240708)
WITH i8042.reset=1:
works

I am using an Acer 3810T, with bios v1.27.

[1] Using deb downloaded here: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.3.3-precise/

JW, please execute the following via the Terminal and feel free to subscribe me to it:
ubuntu-bug linux

Thanks!

Stefan Koch (stefan-koch) wrote :

I can confirm, with ubuntu 12.10 (quantal) daily-live, downloaded a few hours ago, standby (suspend to RAM) works out of the box.
The kernel is: 3.4.0-3-generic
Architecture: amd64

I think this problem is solved.

Changed in linux (Ubuntu):
status: Incomplete → Fix Released
Stefan Koch (stefan-koch) wrote :

I have added this information to my kernel bug report http://bugzilla.kernel.org/show_bug.cgi?id=15612

There the problem is marked as solved, too.

Thanks for our help.

Stefan Koch, please do not toggle this report. If you are having a problem in Ubuntu, please file a new report by executing the following via the Terminal and feel free to subscribe me to it:
ubuntu-bug linux

Thanks!

Changed in linux (Ubuntu):
status: Fix Released → Incomplete
Stefan Koch (stefan-koch) wrote :

Hi Christopher,

my aim was not to say that I have a problem with the bug.
I have no problem with the bug.
With my kubuntu 12.04 installation I use the i8042-reset so it works.

Furthermore I would say that the problem is solved for future.
In the daily version from ubuntu 12.10 the bug doesn't appear anymore.
This is because the bug is fixed in linux kernel - see in my kernel bug report - there the bug is tagged as solved.

Why this bug is still incomplete?
Incomplete because it is there a mind to backport the fix to ubuntu 12.04 and older versions?

Thanks.

Bob Bib (bobbib) wrote :

BTW, I've filed a fresh report as a bug #1009773 (as penalvch asked).

Bob Bib (bobbib) wrote :

I've done some research for duplicate bug #1009773.

The results are very predictable.
The bug is already fixed in Linux kernel packaged for Ubuntu Quantal (version 3.4.0 at that time).
---
Why is it already fixed there?

The patch fixing this issue has been merged in Linux v3.3-rc1: http://bugzilla.kernel.org/show_bug.cgi?id=15612#c22
("Input: i8042 - also perform controller reset when suspending").
---
The possible explanation of the bug and the fix is following.
A MCU firmware emulated i8042 controller is a rather buggy thing sometimes going into unstable state: https://bugzilla.kernel.org/show_bug.cgi?id=15612#c19

To make it work correctly because of going into wrong states, it needs to be reset.

In our Acer models, it seems to work correctly most of times without reset (it only seems to glitch on suspend); therefore, enabling "i8042.reset" kernel option is an excessive one.

A patch named "Automatically reset controller on S2R" (merged in Linux v3.3-rc1: "Input: i8042 - also perform controller reset when suspending") forces this (emulated) i8042 controller to be reset on suspend by default, regardless of the system type (before that, by default, i8042 was forcibly reset by only on resume).

Well, with Linux >= 3.3, suspend should began to work out of the box on a greater number of machines.

Changed in linux:
importance: Undecided → Unknown
status: New → Unknown
Bob Bib (bobbib) on 2012-06-30
Changed in linux (Ubuntu):
status: Incomplete → Fix Released
Bob Bib (bobbib) wrote :

Arch Linux has 'linux' package version '3.4.4-2':
http://www.archlinux.org/packages/core/i686/linux/
http://www.archlinux.org/packages/core/x86_64/linux/
therefore, it should be fixed, as for now.

affects: linux (Arch Linux) → archlinux
Changed in archlinux:
status: New → Fix Released

Bob Bib, please do not toggle this report, nor mark your bug a duplicate of this one. For more on this please see https://help.ubuntu.com/community/ReportingBugs#A3._Make_sure_the_bug_hasn.27t_already_been_reported .

If you have more information to add, please do so on the report you created. Thanks!

Changed in linux (Ubuntu):
status: Fix Released → Incomplete
Changed in linux:
importance: Unknown → Medium
status: Unknown → Fix Released
Bob Bib (bobbib) wrote :

Christopher M. Penalver (penalvch),
> please do not toggle this report, nor mark your bug a duplicate of this one.
would it be better to mark this bug as a duplicate of mine? :)

> If you have more information to add, please do so on the report you created.
well, copied that info there.

> For more on this please see https://help.ubuntu.com/community/ReportingBugs#A3._Make_sure_the_bug_hasn.27t_already_been_reported

"For sound, X drivers, and kernel bugs: please open a new bug instead of commenting on a similar bug: chances are that your hardware does not match the existing bug's hardware, so the bug will not be addressed. As well, unless asked of you by a developer or experienced triager, please do not mark your bug a duplicate of another reporter's bug."

Well, the chances are that's the same thing.

This bug was originally reported for the same laptop model, "Acer Timeline 3810t (and friends)" [see the original bug description].

BTW, do you think that there are any chances to get any more info about this bug?

It was reported 3 years ago for archived unsupported old Ubuntu version by a person with no recent activity;
it was sent to upstream bug tracker, where some patch (affecting the i8042 behavior regardless of the machine configuration) was conceived and merged into Linux v3.3-rc1.

-- The updated version of kernel have been proven to fix the problem by a number of affected users (including me).
-- Updated kernel is a part of Quantal now.
-- If someone experiences this problem in Quantal, he (or she) can always file a new bug report.
-- There are a lot of other Linux bugs around to fix them.
What's the reason to keep the status as "Incomplete"?
If it looks like a duck, swims like a duck, and quacks like a duck, then it probably is a duck.

Tim Gardner (timg-tpi) on 2012-11-21
Changed in linux (Ubuntu Quantal):
status: New → Fix Released
Changed in linux (Ubuntu Raring):
status: Incomplete → Fix Released
Changed in linux (Debian):
status: Unknown → Fix Released
Bob Bib (bobbib) wrote :

Good news: the i8042 reset fix
(commit 1729ad1f4f9e167ade84ca8b5269695c42351160)
has been cherry-picked into Linux 3.2.35:
http://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.2.35

If I'm correct, Linux > 3.2.35 is now in precise-updates:
https://launchpad.net/ubuntu/+source/linux
Thus, it seems that a "Precise" task with a "Fix Released" status
can be finally added to the current :)
----
https://lists.ubuntu.com/archives/kernel-team/2013-January/024884.html
https://lists.ubuntu.com/archives/kernel-team/2012-November/022955.html
https://lists.ubuntu.com/archives/kernel-team/2012-November/022914.html

Bob Bib (bobbib) wrote :

* to the current bug

Paul Olaru (paulstelian97) wrote :

I am aware of the cause of the bug in all...
When the computer enters suspend mode (at least in my case) the hard disk stops spinning and when I attempt resuming, I get a kernel panic.
The solution is for the kernel to always try to spin at least the hard disk drive where the root file system sits...
This doesn't affect computers having a solid-state drive [SSD] as their root disk.
I will first attempt checking whether this was solved in Precise (I had it in Lucid)

Paul Olaru (paulstelian97) wrote :

In Precise this is solved (I risked).

Bob Bib (bobbib) wrote :

Paul Olaru,

the current bug has nothing to do with yours:
it relates to the buggy emulated keyboard controller, not HDDs,
and there were no kernel panics, just power-offs (or reboots, as someone reported).

next time, please read the bug description carefully before replying :)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.